Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFShapeGroup

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFShapeGroup

All Implemented Interfaces:
  HSSFShapeContainer

    public class HSSFShapeGroup

extends HSSFShape
implements HSSFShapeContainer

A shape group may contain other shapes. It was no actual form on the sheet.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Constructor Summary
`HSSFShapeGroup(HSSFShape parent, HSSFAnchor anchor)`

Method Summary
`void` | `addShape(HSSFShape shape)`
`int` | `countOfAllChildren()` Count of all children and their childrens children.
`HSSFShapeGroup` | `createGroup(HSSFChildAnchor anchor)` Create another group under this group.
`HSSFPicture` | `createPicture(HSSFChildAnchor anchor, int pictureIndex)` Creates a picture.
`HSSFPolygon` | `createPolygon(HSSFChildAnchor anchor)` Creates a polygon
`HSSFSimpleShape` | `createShape(HSSFChildAnchor anchor)` Create a new simple shape under this group.
`HSSFTextbox` | `createTextbox(HSSFChildAnchor anchor)` Create a new textbox under this group.
`java.util.List` | `getChildren()` Return all children contained by this shape.
`int` | `getX1()` The top left x coordinate of this group.
`int` | `getX2()` The bottom right x coordinate of this group.
`int` | `getY1()` The top left y coordinate of this group.
`int` | `getY2()` The bottom right y coordinate of this group.
`void` | `setCoordinates(int x1, int y1, int x2, int y2)` Sets the coordinate space of this group.

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFShapeGroup

    public HSSFShapeGroup(HSSFShape parent,
                          HSSFAnchor anchor)

Method Detail

### createGroup

    public HSSFShapeGroup createGroup(HSSFChildAnchor anchor)

  Create another group under this group.

  Parameters:
    `anchor` - the position of the new group.
  Returns:
    the group

### addShape

    public void addShape(HSSFShape shape)

### createShape

    public HSSFSimpleShape createShape(HSSFChildAnchor anchor)

  Create a new simple shape under this group.

  Parameters:
    `anchor` - the position of the shape.
  Returns:
    the shape

### createTextbox

    public HSSFTextbox createTextbox(HSSFChildAnchor anchor)

  Create a new textbox under this group.

  Parameters:
    `anchor` - the position of the shape.
  Returns:
    the textbox

### createPolygon

    public HSSFPolygon createPolygon(HSSFChildAnchor anchor)

  Creates a polygon

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### createPicture

    public HSSFPicture createPicture(HSSFChildAnchor anchor,
                                     int pictureIndex)

  Creates a picture.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### getChildren

    public java.util.List getChildren()

  Return all children contained by this shape.

  Specified by:
    `getChildren` in interface `HSSFShapeContainer`
  Returns:
    Any children contained by this shape.

### setCoordinates

    public void setCoordinates(int x1,
                               int y1,
                               int x2,
                               int y2)

  Sets the coordinate space of this group. All children are constrained to these coordinates.

### getX1

    public int getX1()

  The top left x coordinate of this group.

### getY1

    public int getY1()

  The top left y coordinate of this group.

### getX2

    public int getX2()

  The bottom right x coordinate of this group.

### getY2

    public int getY2()

  The bottom right y coordinate of this group.

### countOfAllChildren

    public int countOfAllChildren()

  Count of all children and their childrens children.

  Overrides:
    `countOfAllChildren` in class `HSSFShape`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD